CREATE TABLE TRANSCODING_SCRIPT (
	TR_SCRIPT_ID NUMBER(18) NOT NULL,
	TR_ID NUMBER(18) NOT NULL,
	SCRIPT_TITLE varchar2(128) NOT NULL,
	SCRIPT_CONTENT CLOB NOT NULL
)
;

ALTER TABLE TRANSCODING_SCRIPT ADD CONSTRAINT PK_TRANSCODING_SCRIPT
	PRIMARY KEY (TR_SCRIPT_ID)
;

ALTER TABLE TRANSCODING_SCRIPT ADD CONSTRAINT FK_TRANSCOD_SCRIPT_TRANSCODING FOREIGN KEY(TR_ID)
REFERENCES TRANSCODING (TR_ID)
ON DELETE CASCADE
;

CREATE SEQUENCE TR_SCRIPT_TR_SCRIPT_ID_SEQ
INCREMENT BY 1
START WITH 1
NOMAXVALUE
MINVALUE 1
NOCYCLE
NOCACHE
NOORDER
;

CREATE OR REPLACE TRIGGER SET_TR_SCRIPT_ID
BEFORE INSERT
ON TRANSCODING_SCRIPT
FOR EACH ROW
BEGIN
  SELECT TR_SCRIPT_TR_SCRIPT_ID_SEQ.NEXTVAL
  INTO :NEW.TR_SCRIPT_ID
  FROM DUAL;
END;
/

update DB_VERSION SET VERSION = '2.1'
;
